Page MenuHomePhabricator

Test of WikiGrok --> Wikidata pipeline
Closed, ResolvedPublic

Description

Send first batch of WikiGrok contributions to Wikidata as a test of the aggregation and submission pipeline.

Event Timeline

Maryana created this task.Mar 7 2015, 12:23 AM
Maryana raised the priority of this task from to Normal.
Maryana updated the task description. (Show Details)
Maryana added projects: Roadmap, WikiGrok.
Maryana moved this task to March 2015: Features & Apps on the Roadmap board.
Maryana added a subscriber: Maryana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 12:23 AM
Ainali added a subscriber: Ainali.Mar 7 2015, 9:18 AM
Eloquence set Security to None.Mar 10 2015, 6:01 AM
Eloquence added a subscriber: Lydia_Pintscher.
Eloquence added a subscriber: Eloquence.

Can we project a "week of" for this test yet?

greg added a subscriber: greg.Mar 12 2015, 10:08 PM
Restricted Application added a project: Notice. · View Herald TranscriptMar 27 2015, 11:17 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 30 2015, 8:16 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 2 2015, 7:01 PM
Eloquence added a subscriber: kaldari.EditedApr 2 2015, 8:08 PM

@kaldari it looks like this is still blocked on bot approval, shall we target next week for now?

@Eloquence Hard to say currently. We have everything ready to go, but are just waiting on the bot approval. I've asked @Moushira for advice on how to move that forward (as our community liaison).

@kaldari also mentioned on https://www.wikidata.org/wiki/Wikidata:Requests_for_permissions/Bot/WikiGrok#WikiGrok : just add the last two users who approved to the edit summary. That way we can hunt down vandalism and other problems.

@Multichill I'll definitely propose that to the team, although it isn't an option for the current bot request. The prototype version (which the existing data is from) used EventLogging for recording the data and we had to use user tokens instead of user names for the records (for privacy reasons that I won't get into here). The current WikiGrok software has a real storage backend and does record user names, so we can do that in the future.

Hmm, maybe do another pass on the already collected data and push out the edits right after someone approves something?
Makes me think of https://commons.wikimedia.org/wiki/Commons:Wiki_Loves_Monuments/Philosophy#Give_quick_and_visible_results

@kaldari I am guessing this is actually happening this week, given that the bot was just approved, correct?

greg added a comment.May 8 2015, 9:34 PM

@kaldari I am guessing this is actually happening this week, given that the bot was just approved, correct?

Update?

What is the status here? Especially given T98142: Turn off (disable) WikiGrok in WMF Production.

phuedx added a subscriber: phuedx.May 11 2015, 10:41 AM

@greg: Sorry about the lack of status reports on this. The WikiGrok (now Read{ing,ership}) team successfully ran the bot back in April, after it had been approved by the community. Details of the run were emailed to mobile-l.

greg added a comment.May 11 2015, 2:16 PM

@greg: Sorry about the lack of status reports on this. The WikiGrok (now Read{ing,ership}) team successfully ran the bot back in April, after it had been approved by the community. Details of the run were emailed to mobile-l.

Who's the PM for Wikigrok now and why wasn't this task closed/updated when things happened?

greg closed this task as Resolved.May 11 2015, 2:17 PM
greg assigned this task to kaldari.
greg moved this task from This week: May 4-8 to April 20-24 on the Roadmap board.

Right now, I'd guess that it's me (@JKatzWMF?) . It wasn't closed or updated because I wasn't aware that it existed until this morning.

@phuedx I also did not know it existed and apologize for not tracking that board since early April. Yes, I think it is you, but we have a meeting on Wednesday to discuss its fate. :)

@phuedx I also did not know it existed and apologize for not tracking that board since early April. Yes, I think it is you, but we have a meeting on Wednesday to discuss its fate. :)

You met with a bit of a (overly) reluctant group of community members. I hope that didn't scare you off. This has so much potential! Please do continue, just take into account that the Wikidata/Wikimedia community likes to know who to thank (or blame) when it comes to claims. That should be relatively straightforward.

^ It's this kind of comment that makes it all seem worthwhile. Thanks @Multichill!